{% extends "skeleton.html.twig" %}

{% block pageTitle %}
Accueil
{% endblock pageTitle %}

{% block pageBody %}
<div class="col-12 pt-4 pb-4">
    <div class="lazyBanner">
        <div class="lazyContainer">
            <img src="https://www.w3schools.com/css/img_5terre_wide.jpg" alt="Cinque Terre">
            <div class="lazyCenter">
                <h1 class="pl-3 pt-1">The Nice Blog</h1>
                <h3 class="text-center lead">Découvrir des histoires difficilement croyables.</h3>
            </div>
        </div>
    </div>
</div>
<hr>
<div class="col-md-12">
    {# Generate automatically blogposts from bdd #}
    <div class="row">
        <div class="card-deck">
            {% for row in blogPosts[1:3] %}
            <div class="col-12 col-lg-4 d-flex align-items-stretch">
                {% include "Ressources/miniPostCard.html.twig" with {'row': row, 'list': true} %}
            </div>
            {% endfor %}
        </div>
    </div>
</div>
<div class="row">
    <div class="col-8">
        <div class="row">
            <div class="card-deck">
                {% for row in blogPosts[:3] %}
                <div class="col-sm-12 d-flex align-items-stretch">
                    {% include "Ressources/postCard.html.twig" with {'row': row, 'list': true} %}
                </div>
                {% endfor %}
            </div>
        </div>
    </div>
    <div class="col-4">
        {% include "Ressources/leftBar.html.twig"%}
    </div>
</div>
</div>
</div>
{% endblock pageBody %}